<?php
/**
 * @package com_tinydoc for Joomla! 4.x
 * @version $Id: document.php 2024-04-23 $
 * @author Andreas Thul
 * @copyright (c) 2009-2024 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.model' );

// 2014-09-17 athul/changed JModel to JModelLegacy
class TinyDocModelDocument extends JModelLegacy {

	function __construct() {

        parent::__construct();
	}

	// 2013-06-03 athul/Only variables should be assigned by reference
	function getDocument($id) {

		$db = JFactory::getDBO();
		$db->setQuery("SELECT * FROM #__tinydoc_document WHERE id = $id AND published = 1;");

		// 2024-04-23 athul/replaced $db->query()
		if (!$db->execute()) { JError::raiseWarning( 500, $db->getError() ); }
		$row = $db->loadObjectList();

		return $row[0];
	}
}



?>
