<?php
/**
 * @package com_tinydoc for Joomla! 4.x
 * @version $Id: admin.tinydoc.php 2024-04-22 $
 * @author Andreas Thul
 * @copyright (c) 2009-2024 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// 2014-09-16 athul/changed DS to DIRECTORY_SEPARATOR
defined('_JEXEC') or die('Restricted access');

JTable::addIncludePath(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'tables');

require_once(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'helper.php');
require_once(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'controller.php');
require_once(JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'tinydoc.html.php');

$controller = new TinyDocController();

$controller->registerDefaultTask('listDocuments');

// 2024-04-22 athul/replaced $task = JRequest::getCmd('task');
$jinput = JFactory::getApplication()->input;
$task = $jinput->get('task');

$controller->execute($task);
$controller->redirect();

?>
